add flake8 check for python files 21/21421/1
authorMatthewLi <matthew.lijun@huawei.com>
Mon, 19 Sep 2016 11:06:14 +0000 (07:06 -0400)
committerMatthewLi <matthew.lijun@huawei.com>
Mon, 19 Sep 2016 11:11:08 +0000 (07:11 -0400)
Change-Id: I6d8e4e1d007bdcce037cf1ae93324de8080640ec
Signed-off-by: MatthewLi <matthew.lijun@huawei.com>
tests.sh [new file with mode: 0755]

diff --git a/tests.sh b/tests.sh
new file mode 100755 (executable)
index 0000000..1034466
--- /dev/null
+++ b/tests.sh
@@ -0,0 +1,50 @@
+#!/bin/bash
+
+##############################################################################
+# Copyright (c) 2016 Huawei Tech and others.
+#
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Apache License, Version 2.0
+# which accompanies this distribution, and is available at
+# http://www.apache.org/licenses/LICENSE-2.0
+##############################################################################
+
+# Run flake8, unit, coverage test
+
+getopts ":f" FILE_OPTION
+
+run_flake8() {
+    echo "Running flake8 ... "
+    logfile=test_results.log
+    if [ $FILE_OPTION == "f" ]; then
+        flake8 bottlenecks > $logfile
+    else
+        flake8 bottlenecks
+    fi
+
+    if [ $? -ne 0 ]; then
+        echo "FAILED"
+        if [ $FILE_OPTION == "f" ]; then
+            echo "Results in $logfile"
+        fi
+        exit 1
+    else
+        echo "OK"
+    fi
+}
+
+run_tests() {
+    echo "Running unittest ... "
+    #will add future
+}
+
+run_coverage() {
+    echo "Running coverage ..."
+    #source tests/ci/cover.sh
+    #run_coverage_test
+    #will add future
+}
+
+run_flake8
+run_tests
+run_coverage